%define api		1.0
%define major		0
%define girmajor	1.0

%define libname		%mklibname %{name} %{api} %{major}
%define libnamedevel	%mklibname -d %{name} %{api}
%define girname		%mklibname %{name}-gir %{girmajor}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Software library for fast, visually rich GUIs
Name:		clutter
Version:	1.26.2
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	LGPLv2+
Group:		System/Libraries
Url:		http://clutter-project.org/
BuildRequires:	pkgconfig(atk) >= 2.1.5
BuildRequires:	pkgconfig(cairo-gobject) >= 1.10
BuildRequires:	pkgconfig(cogl-1.0) >= 1.17.5
BuildRequires:	pkgconfig(cogl-pango-1.0)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glib-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gdk-3.0)
BuildRequires:	pkgconfig(json-glib-1.0) >= 0.12.0
BuildRequires:	pkgconfig(pangocairo) >= 1.20
BuildRequires:	pkgconfig(pangoft2)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcomposite) >= 0.4
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xfixes) >= 3
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.5
# ovitters: Wayland support (evdev also needed)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-cursor)
BuildRequires:	pkgconfig(wayland-server)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libevdev)
BuildRequires:	pkgconfig(libinput) >= 0.4.0

%description
Clutter is an open source software library for creating fast, visually rich
graphical user interfaces. The most obvious example of potential usage is in
media center type applications. We hope however it can be used for a lot more.

Clutter uses OpenGL (and soon optionally OpenGL ES) for rendering but with an
API which hides the underlying GL complexity from the developer. The Clutter
API is intended to be easy to use, efficient and flexible. 

#--------------------------------------------------------------------

%package i18n
Summary:	Translations for %{name}
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
This contains the translation data for %{name}.

%files i18n -f %{name}-%{api}.lang

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Software library for fast, visually rich GUIs
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}
Obsoletes:	%{mklibname %{name}-glx 1.0 0} < 1.9.2

%description -n %{libname}
Clutter is an open source software library for creating fast, visually rich
graphical user interfaces. The most obvious example of potential usage is in
media center type applications. We hope however it can be used for a lot more.

Clutter uses OpenGL (and soon optionally OpenGL ES) for rendering but with an
API which hides the underlying GL complexity from the developer. The Clutter
API is intended to be easy to use, efficient and flexible. 

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}.*
%{_libdir}/libclutter-1.0.so.0
%{_libdir}/libclutter-glx-1.0.so.0
#--------------------------------------------------------------------

%package -n %{libnamedevel}
Summary:	Development headers/libraries for %{name}
Group:		Development/X11
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-glx-devel = %{version}-%{release}
Obsoletes:	%{mklibname -d %{name}-glx 1.0} < 1.9.2
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %{libnamedevel}
Development headers/libraries for %{name} (see %{libname} package)

%files -n %{libnamedevel}
%doc %{_datadir}/gtk-doc/html/%{name}
%{_libdir}/pkgconfig/cally-%{api}.pc
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/pkgconfig/%{name}-gdk-%{api}.pc
%{_libdir}/pkgconfig/%{name}-glx-%{api}.pc
%{_libdir}/pkgconfig/%{name}-cogl-%{api}.pc
%{_libdir}/pkgconfig/%{name}-x11-%{api}.pc
%{_libdir}/pkgconfig/%{name}-wayland-%{api}.pc
%{_libdir}/pkgconfig/%{name}-wayland-compositor-%{api}.pc
%{_libdir}/pkgconfig/%{name}-egl-%{api}.pc
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/lib%{name}-glx-%{api}.so
%dir %{_includedir}/%{name}-%{api}
%{_includedir}/%{name}-%{api}/cally
%{_includedir}/%{name}-%{api}/%{name}
%{_datadir}/gir-1.0/Cally-%{girmajor}.gir
%{_datadir}/gir-1.0/ClutterGdk-%{girmajor}.gir
%{_datadir}/gir-1.0/Clutter-%{girmajor}.gir
%{_datadir}/gir-1.0/ClutterX11-%{girmajor}.gir

#--------------------------------------------------------------------

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Obsoletes:	%{mklibname %{name}-glx1.0-gir 1.0} < 1.7.4-3
Obsoletes:	%{mklibname %{name}-glx-gir 1.0} < 1.9.2

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/Cally-%{girmajor}.typelib
%{_libdir}/girepository-1.0/Clutter-%{girmajor}.typelib
%{_libdir}/girepository-1.0/ClutterX11-%{girmajor}.typelib
%{_libdir}/girepository-1.0/ClutterGdk-%{girmajor}.typelib

#--------------------------------------------------------------------

%prep
%setup -q


%build
%configure2_5x \
	--disable-static \
	--disable-rpath \
	--enable-introspection=yes \
	--enable-gdk-backend=yes \
	--enable-x11-backend=yes \
	--enable-xinput \
	--enable-wayland-backend=yes \
	--enable-wayland-compositor=yes \
	--enable-evdev-input=yes \
	--enable-egl-backend=yes \
	--enable-evdev-input=yes
%make

%install
%makeinstall_std
%find_lang %{name}-%{api}

# we don't want these
find %{buildroot} -name '*.la' -delete


%changelog
* Thu Jul 13 2017 adrianomorselli <adrianomorselli> 1.26.2-1uplos2017
- update
